'use strict';

const gulp = require('gulp'),
    sourcemaps = require('gulp-sourcemaps'),
    terser = require('gulp-terser');

// build riotjs tags (components)
gulp.task('default', () => {

    return gulp.src('./src/state.js')
        .pipe(sourcemaps.init())
        .pipe(terser({keep_fnames: false}))
        .pipe(sourcemaps.write('./'))
        .pipe(gulp.dest('./dist'));
});