const test = require('tape');
const statejs = require('../src/state.js')({debug: true});

test('Index', function(t) {
    var state = statejs;

    t.test('setup', function(t) {

        t.ok(state, 'state should be defined');

        state.set('name', 'Geoff');

        t.end();
    });

    t.test('state should have name', function(t) {
        t.equal(state.get('name'), 'Geoff');

        t.end();
    });

});